package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealQueryCanRemoteConnectRequest struct {
	CompanyRequest *common.CompanyRequest `json:"companyRequest,omitempty"`
	// <ext>core:true</ext> 【印章类型名称】印章类型名称 【传参】 1、传入印章所属单位在电子签章前台【设置-印章类型设置】中启用的类型。
	SealCategoryName string `json:"sealCategoryName,omitempty"`
	// <ext>core:true</ext> 【印章自定义字段】印章自定义字段 【作用】 1、除印章类型、所属组织等基础信息以外，印章可能需要维护其他属性，例如保管部门、所用文种等 2、自定义字段可在电子签章前台配置，定义好后可通过该参数传入字段值或修改字段值 3、传入多个自定义字段时，则取各个字段匹配到的印章的交集。
	SealCustomFields []*common.SealCustomField `json:"sealCustomFields,omitempty"`
}

func (obj SealQueryCanRemoteConnectRequest) GetUrl() string {
	return "/seal/query/can/remote/connect"
}

func (obj SealQueryCanRemoteConnectRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
